import request from "@/utils/request.js";
import config from "@/config/index.js";
console.log(config);
/**
 * 获取测试数据
 * @param params
 * @returns {AxiosPromise}
 */
export function getBase(param) {
  return request({
    url: "overview",
    params: param,
    method: "get",
  });
}

/**
 * 获取测试数据
 * @param params
 * @returns {AxiosPromise}
 */
export function getPlatform(param) {
  return request({
    url: "name",
    params: param,
    method: "get",
  });
}
/**
 * 获取测试数据
 * @param params
 * @returns {AxiosPromise}
 */
export function getAllPlatform(param) {
  return request({
    closeLoading: true,
    url: "platform",
    params: param,
    method: "get",
  });
}
/**
 * 获取测试数据
 * @param params
 * @returns {AxiosPromise}
 */
export function getList(param) {
  return request({
    url: "time/v2",
    params: param,
    closeLoading: true,
    method: "get",
  });
}
/**
 * 获取测试数据
 * @param params
 * @returns {AxiosPromise}
 */
export function getAllcontrast(param) {
  return request({
    url: "weibo-compare",
    params: param,
    closeLoading: true,
    method: "get",
  });
}
/**
 * 获取测试数据
 * @param params
 * @returns {AxiosPromise}
 */
export function getCould(url) {
  return request({
    url: url,
    closeLoading: true,
    method: "get",
  });
}

/**
 *
 * @param {*} param
 */
export function getlive(params) {
  return request({
    url: "live-result?topic=" + params.topic + "&platform=" + params.platform,
    method: "get",
  });
}
/**
 *
 * @param {*} param
 */
export function getCofig() {
  return request({
    url: "sys-config",
    method: "get",
  });
}
