import Vue from 'vue'
import App from './App.vue'
import router from "./router";
import utils from "./utils/utils";
import filters from "./utils/filters/index";
import config from "./config/index";

Vue.config.productionTip = false;
Vue.prototype.$config = config;
Vue.prototype.$utils = utils;
Vue.filter("formatnum", filters.formatNum)

new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
