import Vue from "vue";
import VueRouter from "vue-router";

import Skeleton from "../view/skeleton/index.vue"

Vue.use(VueRouter);

const routes = [
  {
    path: "/contrast",
    name: "index",
    component: Skeleton,
    children: [
      {
        path: "home",
        name: "home",
        component: resolve => require(["@/view/index/index.vue"], resolve)
      }
    ]
  },
];

export default new VueRouter({
  routes,
});
